<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->

# Detecting Wireless Eavesdropping — API & Tool Reference

> Quick reference for tools, commands, and APIs used in detecting-wireless-eavesdropping.

## Tools


### `kismet`

Wireless network detector and IDS

**Usage:**
```bash
kismet -c <source> [options]
```

**Key Flags:**
  - `-c: capture source`
  - `--log-types: output formats`

---

### `tshark`

Network protocol analyzer (CLI)

**Usage:**
```bash
tshark -i <interface> -Y <filter>
```

**Key Flags:**
  - `-Y: display filter`
  - `-T fields: field output mode`

---

### `zeek`

Network analysis framework

**Usage:**
```bash
zeek -i <interface> [scripts]
```

**Key Flags:**
  - `-i: interface`
  - `-C: disable checksums`
  - `local.zeek: standard analysis`

---

### `iw`

Linux wireless configuration tool

**Usage:**
```bash
iw dev <iface> station dump
```

**Key Flags:**
  - `station dump: connected client info`

---


## Integration Notes

- All tools should be run with least-privilege access appropriate to the task
- Log all tool invocations for audit trail
- Validate tool output before acting on results
- Cross-reference findings with multiple tools where possible

## See Also

- Parent skill: [Wireless Security](../../../SKILL.md)
- Technique SKILL.md: [../SKILL.md](../SKILL.md)
